package com.zhongshu.card.client.model.projectAbout;

import com.github.microservice.types.payment.PaymentChannelType;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.internal.build.AllowPrintStacktrace;

import java.util.ArrayList;
import java.util.List;

/**
 * @author TRX
 * @date 2024/10/22
 */
@Data
@AllowPrintStacktrace
@NoArgsConstructor
public class PaymentChannelTypeModel {

    private PaymentChannelType paymentChannelType;

    private String paymentChannelTypeStr;

    public String getPaymentChannelTypeStr() {
        if (paymentChannelType != null) {
            return paymentChannelType.getRemark();
        }
        return "";
    }

    private List<PaymentTypeInfoModel> paymentTypes = new ArrayList<PaymentTypeInfoModel>();

}
